package com.yd.api.practitioner.vo.article;

import java.util.Date;

public class ArticleTrackSaveRequestVO {
    /**
     * serial id
     */
    private Long id;

    /**
     * 分享ID FK ag_acl_customer_object_share.id
     */
    private Long shareId;

    /**
     * 分享码 FK ag_acl_customer_object_share.share_code
     */
    private String shareCode;

    /**
     * 微信昵称
     */
    private String nickname;

    /**
     * 1=Male, 2=Female
     */
    private Integer gender;

    /**
     * 微信头像
     */
    private String imagePath;

    /**
     * 跟踪开始时间
     */
    private String trackInTime;

    /**
     * 跟踪结束时间
     */
    private String trackOutTime;

    /**
     * 地域
     */
    private String region;

    /**
     * 来源
     */
    private String sourceFrom;

    /**
     * 入口页面
     */
    private String entryPage;

    /**
     * 访问功能ID
     */
    private String buttonId;

    /**
     * 锚点ID
     */
    private String anchorId;

    /**
     * 行为动作类型enter、close、buttonclick
     */
    private String actionType;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 访问IP
     */
    private String ipAddress;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public String getTrackInTime() {
        return trackInTime;
    }

    public void setTrackInTime(String trackInTime) {
        this.trackInTime = trackInTime;
    }

    public String getTrackOutTime() {
        return trackOutTime;
    }

    public void setTrackOutTime(String trackOutTime) {
        this.trackOutTime = trackOutTime;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getSourceFrom() {
        return sourceFrom;
    }

    public void setSourceFrom(String sourceFrom) {
        this.sourceFrom = sourceFrom;
    }

    public String getEntryPage() {
        return entryPage;
    }

    public void setEntryPage(String entryPage) {
        this.entryPage = entryPage;
    }

    public String getButtonId() {
        return buttonId;
    }

    public void setButtonId(String buttonId) {
        this.buttonId = buttonId;
    }

    public String getAnchorId() {
        return anchorId;
    }

    public void setAnchorId(String anchorId) {
        this.anchorId = anchorId;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
}
